#include<bits/stdc++.h>
using namespace std;

#define IOS ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0)
#define push_back pb
#define pop_back ppb
#define first fi
#define second se

int a[20005];

int main(){
	IOS;
	int n, k;
	cin >> n >> k;
	for(int i=0; i<n; i++){
		cin >> a[i];
	}
	int pozicija = 0;
	for(pozicija = 0; pozicija<n; pozicija++){
		if(a[pozicija] == k){
			break;
		}
	}
	cout << a[(pozicija+1) % n];
	return 0;
}